Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.update.core
Interface ISiteContentProvider

All Known Implementing Classes:
  SiteContentProvider

public interface ISiteContentProvider

Site content provider. A site content provider is an abstraction of each site internal organization. It allows the site content to be accessed in a standard way regardless of the internal organization. All concrete site implementations need to implement a site content provider.

Clients may implement this interface. However, in most cases clients should directly instantiate or subclass the provided implementation of this interface.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  2.0
See Also:
  `SiteContentProvider`

Method Summary
`URL` | `getArchiveReference(String id)` Returns a URL for the identified archive
`ISite` | `getSite()` Returns the site for this provider
`URL` | `getURL()` Returns the URL of this site
`void` | `setSite(ISite site)` Sets the site for this provider.

Method Detail

### getURL

    public URL getURL()

  Returns the URL of this site

  Returns:
    site URL
  Since:
    2.0

### getArchiveReference

    public URL getArchiveReference(String id)
                            throws CoreException

  Returns a URL for the identified archive

  Parameters:
    `id` - archive identifier
  Returns:
    archive URL, or `null`.
  Throws:
    `CoreException`
  Since:
    2.0

### getSite

    public ISite getSite()

  Returns the site for this provider

  Returns:
    provider site
  Since:
    2.0

### setSite

    public void setSite(ISite site)

  Sets the site for this provider. In general, this method should only be called as part of site creation. Once set, the site should not be reset.

  Parameters:
    `site` - provider site
  Since:
    2.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.